<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
                   xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                   xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.4.xsd">

    <changeSet id="20231109_01_create_category_table" author="akorzeniak">

        <createSequence sequenceName="category_id_sequence" startValue="1" incrementBy="50"/>

        <createTable tableName="category">
            <column name="id" type="bigint">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="uuid" type="uuid">
                <constraints nullable="false"/>
            </column>
            <column name="name" type="varchar(100)">
                <constraints nullable="false"/>
            </column>
            <column name="order" type="integer"/>
        </createTable>

    </changeSet>
</databaseChangeLog>